name: nostr_console
description: A multi-platform nostr client built for terminal/console
version: 0.3.6-beta
homepage: https://github.com/vishalxl/nostr_console   

# 0.3.6
# 

# 0.3.5
# fix for crash in issue #70 
# improved highlighted events code in 2->1
# in 2->1 printed popular accounts with follows
# difficulty limit set to 32
# added three new relays and removed some older ones
# fixed fetching of contact names ( now all are fetched whereas previously they werent)

# 0.3.4
# improved logic that only new events from follows are shown; this reduces the flood of notifications seen
# longer-named follows were not getting tick mark at end. fixed it, now they get tick marks in posts, channels and in one liners for channels
# fix lud06/16 qr code printing in profiles
# ask user y/n to avoid overwriting contact list if no contact list is seen for user
# saved dm's sent to user

# 0.3.3
# Linux arm64 build added; docker images pushed to github store; and improving of build process by @AaronDewes 
# added display_name and website field support for reading and updating kind 0 , or profile
# color fix - where likes to right of a notification-like were shown in white rather than as colored text

# 0.3.2
# added build for ubuntu arm 64, and mac arm 64   
# fixed or improved mention expansion
# displyed global feed. which has all latest in last 2 hours
# in incoming notifications, only showed notifications for follows. 
# In writing events, only writing follow's events. and the ones they interact with. 
# now friends have a tick; no tick for defaults
# fixed likes colors issue for notification likes

# after tag
# fixed sdk for arm64 build; otherwise only x86 was being built for all             
# notification color fix for git bash; color for likes is not being closed at end 
  
# 0.3.1
# added nostr.ch as another default relay to sync with anigma
# printed only 20 maximum events in a thread to reduce screen spam from long threads. Only in search results are all threads printed; and a thread or event can be searched by 6 digit id-prefix of the event thats mentioned.
# improved user notifications , menu 2 -> 3, now likes are shown as notifications and less informative
# improved 2 -> 5. better printing. and fixed white after reaction highlighed issue
# improved 2 -> 6 too, now follows posts get highlighed, and so do their reactions. 
# mentions get highlighed in above menus
# if too many wrong menu inputs are given ( >40) then program exits without saving any new events. for issue #49 
# showed lud06 and lud16, if any, in profile as qr code

# after tagging
# improved notification count and display with recent clipped-thread change
# fixed issue where had to go to main menu from SN menu to get notifications ; related: also got notifications in other menus so now on following someone, that event is processed in this menu itself
# added ligning prefix in profile 


# 0.3.0
# added check marks; added more default users
# changed fetch logic: after fetching all friends contacts etc, then reset the relays, and fetched ALL the events in last 2 hours. but not closing connection right now of old relays.
# fixed URI exception for NIP05
# sorted lists printed in profile ( radixrat)
# sorted tree children - now posts get printed in sorted order
# --lnqr print LNBC invoices as qr code
# only maximum 500 contacts are fetched.
# fetching logic: first all follows, ~50 well known accounts, and top tagged people are fetched for few days. Then all live events are fetched for last 2 hous and ongoing. 

# test fix

#0.2.9
# improved fetching logic
# added more relays; minor tweaks in relay set usage

## after taggin 
# only maximum 500 contacts are fetched ( at random)

# 0.2.8 
# reduced items fetched. 23/12
# reduced items more  evening 23/12
# reduced more evening 23/12
# channel fetches for 3-4 days


#0.2.7
# improved relay, fetching logic and added more default pubkeys to fetch
# incresed user id lenth to 5, and event id len to 6 in SN
 
# after tagging
# fixed new issue of taking longer time when file was already there
# increased channel fetches from 2 days from half a day 


environment:
  sdk: '>=2.17.3 <4.0.0'



dev_dependencies:
  lints: ^3.0.0
  test: ^1.21.4
dependencies:
  args: ^2.3.1
  bip340: ^0.2.0
  crypto: ^3.0.2
  intl: ^0.19.0
  translator: ^1.0.0
  web_socket_channel: ^2.2.0
  logging: ^1.0.2
  kepler: ^1.0.3
  qr: ^3.0.1
  pointycastle: any
  http: any
